
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/ai/backend/web:dist

from setuptools import setup

setup(**{
    'author': 'Lablup Inc. and contributors',
    'classifiers': [
        'Intended Audience :: Developers',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Environment :: No Input/Output (Daemon)',
        'Topic :: Scientific/Engineering',
        'Topic :: Software Development',
        'Development Status :: 4 - Beta',
        'Programming Language :: Python :: 3.12',
        'License :: OSI Approved :: GNU Lesser General Public License v3 or later (LGPLv3+)',
    ],
    'description': 'Backend.AI WebUI Host',
    'entry_points': {
        'backendai_cli_v10': [
            'web = ai.backend.web.cli:main',
            'web.start-server = ai.backend.web.server:main',
        ],
    },
    'install_requires': (
        'Jinja2~=3.1.2',
        'PyJWT~=2.0',
        'aiohttp_cors~=0.7',
        'aiohttp~=3.9.1',
        'aiotools~=1.7.0',
        """backend.ai-cli==24.03.10b3
""",
        """backend.ai-client==24.03.10b3
""",
        """backend.ai-common==24.03.10b3
""",
        """backend.ai-plugin==24.03.10b3
""",
        'click~=8.1.7',
        'coloredlogs~=15.0',
        'pycryptodome>=3.14.1',
        'setproctitle~=1.3.2',
        'setuptools~=70.3.0',
        'tomli~=2.0.1',
        'trafaret~=2.1',
        'types-Jinja2',
        'types-setuptools',
        'uvloop~=0.19.0; sys_platform != "Windows"',
        'yarl!=1.9.0,!=1.9.1,!=1.9.2,<2.0,>=1.8.2',
    ),
    'license': 'LGPLv3',
    'long_description': """# Backend.AI Web Server

[![GitHub version](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver.svg)](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver) [![PyPI version](https://badge.fury.io/py/backend.ai-webserver.svg)](https://badge.fury.io/py/backend.ai-webserver)

A webapp hosting daemon which serves our `webui` as a SPA and proxies API requests


## Installation

Prepare a Python virtualenv (Python 3.9 or higher) and a Redis server (6.2 or higher).

```console
$ git clone https://github.com/lablup/backend.ai-webserver webserver
$ cd webserver
$ pip install -U -e .
$ cp webserver.sample.conf webserver.conf
```

## Mode

If `service.mode` is set "webui" (the default), the webserver handles
PWA-style fallbacks (e.g., serving `index.html` when there are no matching
files for the requested URL path).
The PWA must exclude `/server` and `/func` URL prefixes from its own routing
to work with the webserver's web sessions and the API proxy.

If it is set "static", the webserver serves the static files as-is,
without any fallbacks or hooking, while preserving the `/server` and `/func`
prefixed URLs and their functionalities.

If you want to serve web UI in webserver with "webui" mode, prepare static web UI source by choosing one of the followings.

### Option 1: Build web UI from source

Build **[backend.ai-webui](https://github.com/lablup/backend.ai-webui)** and copy all files under `build/bundle`
into the `src/ai/backend/web/static` directory.

### Option 2: Use pre-built web UI

To download and deploy web UI from pre-built source, do the following:

```console
git submodule init
git submodule update
cd src/ai/backend/web/static
git checkout main  # or target branch
git fetch
git pull
```
### Setup configuration for webserver

You don't have to write `config.toml` for the web UI as this webserver auto-generates it on-the-fly.

Edit `webserver.conf` to match with your environment.


## Usage

To execute web server, run command below. (for debugging, append a `--debug` flag)


```console
$ python -m ai.backend.web.server
```
""",
    'long_description_content_type': 'text/markdown',
    'name': 'backend.ai-webserver',
    'namespace_packages': (
    ),
    'package_data': {
        'ai.backend.web': (
            'VERSION',
            'py.typed',
            'static/asset-manifest.json',
            'static/config.toml',
            'static/dist/components/backend-ai-agent-summary-view-CerBEB0u.js',
            'static/dist/components/backend-ai-change-forgot-password-view-Cch7-1lX.js',
            'static/dist/components/backend-ai-credential-view-xl7TwcWb.js',
            'static/dist/components/backend-ai-data-view-CsgC5BLt.js',
            'static/dist/components/backend-ai-edu-applauncher-BdefBm22.js',
            'static/dist/components/backend-ai-email-verification-view-DwB09ZoG.js',
            'static/dist/components/backend-ai-environment-view-kOc6jBP2.js',
            'static/dist/components/backend-ai-error-view-JUxHLoRb.js',
            'static/dist/components/backend-ai-import-view-CEQLviM_.js',
            'static/dist/components/backend-ai-list-status-2yOiNLDB.js',
            'static/dist/components/backend-ai-maintenance-view-XGnRrdwq.js',
            'static/dist/components/backend-ai-multi-select-CBExT1w5.js',
            'static/dist/components/backend-ai-permission-denied-view-Dy9BbvLb.js',
            'static/dist/components/backend-ai-resource-group-list-B3dBLPI1.js',
            'static/dist/components/backend-ai-resource-monitor-CdX4Hp86.js',
            'static/dist/components/backend-ai-serving-view-DrEAxBeL.js',
            'static/dist/components/backend-ai-session-launcher-ChdxGHW0.js',
            'static/dist/components/backend-ai-session-view-BC71jFq_.js',
            'static/dist/components/backend-ai-session-view-next-BnrdHcQM.js',
            'static/dist/components/backend-ai-settings-view-D9ueWDCu.js',
            'static/dist/components/backend-ai-statistics-view-BTARfkzf.js',
            'static/dist/components/backend-ai-storage-host-settings-view-CbPc042U.js',
            'static/dist/components/backend-ai-storage-proxy-list-DkIxRsS1.js',
            'static/dist/components/backend-ai-summary-view-CzCx53pm.js',
            'static/dist/components/backend-ai-webui-DHPXkWFV.js',
            'static/dist/components/backend-ai-webui.js',
            'static/dist/components/lablup-activity-panel-BgJgZof9.js',
            'static/dist/components/lablup-grid-sort-filter-column-B3aXQf-M.js',
            'static/dist/components/lablup-loading-spinner-CcLLIHeq.js',
            'static/dist/components/lablup-progress-bar-BabhYW1I.js',
            'static/dist/components/mwc-check-list-item-BOuWYOQ7.js',
            'static/dist/components/mwc-formfield-C3jWZ7f4.js',
            'static/dist/components/mwc-switch-4PAREU42.js',
            'static/dist/components/mwc-tab-bar-czPim5XW.js',
            'static/dist/components/slider-DnGS5WVe.js',
            'static/dist/components/vaadin-grid-filter-column-DGviEOHr.js',
            'static/dist/components/vaadin-iconset-DPCaRIFr.js',
            'static/dist/components/vaadin-item-Z-SbxbmW.js',
            'static/dist/components/vaadin-item-mixin-DuqXhN3A.js',
            'static/index.html',
            'static/manifest.json',
            'static/manifest/app.js',
            'static/manifest/backend-ai.icns',
            'static/manifest/backend-ai.ico',
            'static/manifest/backend-ai.iconset/icon_128x128@1x.png',
            'static/manifest/backend-ai.iconset/icon_128x128@2x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@1x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@2x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@1x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@2x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@1x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@2x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@1x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@2x.png',
            'static/manifest/backend.ai-brand-simple-bgdark.svg',
            'static/manifest/backend.ai-brand-simple.svg',
            'static/manifest/backend.ai-text-bgdark.svg',
            'static/manifest/backend.ai-text.svg',
            'static/manifest/favicon.ico',
            'static/resources/antdThemeConfig.schema.json',
            'static/resources/app_template.json',
            'static/resources/badge-dark.svg',
            'static/resources/badge.svg',
            'static/resources/custom.css',
            'static/resources/device_metadata.json',
            'static/resources/documents/privacy-policy.en.html',
            'static/resources/documents/privacy-policy.ko.html',
            'static/resources/documents/terms-of-service.en.html',
            'static/resources/documents/terms-of-service.ko.html',
            'static/resources/fonts/fa-brands-400.woff',
            'static/resources/fonts/fa-brands-400.woff2',
            'static/resources/fonts/fa-regular-400.woff',
            'static/resources/fonts/fa-regular-400.woff2',
            'static/resources/fonts/fa-solid-900.woff',
            'static/resources/fonts/fa-solid-900.woff2',
            'static/resources/fonts/font-awesome-all.min.css',
            'static/resources/fonts/font-awesome.css',
            'static/resources/fonts/fonts.css',
            'static/resources/fonts/material-icons-outlined.woff2',
            'static/resources/fonts/material-icons-round.woff2',
            'static/resources/fonts/material-icons-sharp.woff2',
            'static/resources/fonts/material-icons-two-tone.woff2',
            'static/resources/fonts/material-icons.woff2',
            'static/resources/fonts/roboto-v19-latin-100.woff',
            'static/resources/fonts/roboto-v19-latin-100.woff2',
            'static/resources/fonts/roboto-v19-latin-100italic.woff',
            'static/resources/fonts/roboto-v19-latin-100italic.woff2',
            'static/resources/fonts/roboto-v19-latin-300.woff',
            'static/resources/fonts/roboto-v19-latin-300.woff2',
            'static/resources/fonts/roboto-v19-latin-300italic.woff',
            'static/resources/fonts/roboto-v19-latin-300italic.woff2',
            'static/resources/fonts/roboto-v19-latin-900.woff',
            'static/resources/fonts/roboto-v19-latin-900.woff2',
            'static/resources/fonts/roboto-v19-latin-900italic.woff',
            'static/resources/fonts/roboto-v19-latin-900italic.woff2',
            'static/resources/fonts/roboto-v19-latin-italic.woff',
            'static/resources/fonts/roboto-v19-latin-italic.woff2',
            'static/resources/fonts/roboto-v19-latin-regular.woff',
            'static/resources/fonts/roboto-v19-latin-regular.woff2',
            'static/resources/fonts/ubuntu-mono-v15-bold.woff2',
            'static/resources/fonts/ubuntu-mono-v15-bolditalic.woff2',
            'static/resources/fonts/ubuntu-mono-v15-italic.woff2',
            'static/resources/fonts/ubuntu-mono-v15-regular.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300.woff',
            'static/resources/fonts/ubuntu-v14-latin-300.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500.woff',
            'static/resources/fonts/ubuntu-v14-latin-500.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700.woff',
            'static/resources/fonts/ubuntu-v14-latin-700.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff2',
            'static/resources/i18n/de.json',
            'static/resources/i18n/el.json',
            'static/resources/i18n/en.json',
            'static/resources/i18n/es.json',
            'static/resources/i18n/fi.json',
            'static/resources/i18n/fr.json',
            'static/resources/i18n/id.json',
            'static/resources/i18n/it.json',
            'static/resources/i18n/ja.json',
            'static/resources/i18n/ko.json',
            'static/resources/i18n/mn.json',
            'static/resources/i18n/ms.json',
            'static/resources/i18n/pl.json',
            'static/resources/i18n/pt-BR.json',
            'static/resources/i18n/pt.json',
            'static/resources/i18n/ru.json',
            'static/resources/i18n/th.json',
            'static/resources/i18n/tr.json',
            'static/resources/i18n/vi.json',
            'static/resources/i18n/zh-CN.json',
            'static/resources/i18n/zh-TW.json',
            'static/resources/icons/LICENSE.md',
            'static/resources/icons/apache-spark.svg',
            'static/resources/icons/aws.png',
            'static/resources/icons/azure.png',
            'static/resources/icons/c.svg',
            'static/resources/icons/caffe.png',
            'static/resources/icons/caffe2.svg',
            'static/resources/icons/ceph.png',
            'static/resources/icons/check-list.svg',
            'static/resources/icons/classification.svg',
            'static/resources/icons/cpp.svg',
            'static/resources/icons/default.png',
            'static/resources/icons/default_app.svg',
            'static/resources/icons/file_type_cuda.svg',
            'static/resources/icons/file_type_python.svg',
            'static/resources/icons/filebrowser.svg',
            'static/resources/icons/flux.png',
            'static/resources/icons/furiosa.svg',
            'static/resources/icons/gaudi.svg',
            'static/resources/icons/gcc.png',
            'static/resources/icons/gcp.png',
            'static/resources/icons/gdrive.png',
            'static/resources/icons/h2o.png',
            'static/resources/icons/haskell.png',
            'static/resources/icons/javascript.png',
            'static/resources/icons/julia.png',
            'static/resources/icons/jupyter.png',
            'static/resources/icons/jupyterlab.png',
            'static/resources/icons/kitty.png',
            'static/resources/icons/lablup.png',
            'static/resources/icons/local.png',
            'static/resources/icons/lua.png',
            'static/resources/icons/matlab.png',
            'static/resources/icons/mlflow.png',
            'static/resources/icons/mxnet.svg',
            'static/resources/icons/nbp.png',
            'static/resources/icons/nni.png',
            'static/resources/icons/nni.svg',
            'static/resources/icons/nodejs.png',
            'static/resources/icons/novnc.svg',
            'static/resources/icons/npu_generic.svg',
            'static/resources/icons/nvidia.png',
            'static/resources/icons/octave.png',
            'static/resources/icons/openstack.png',
            'static/resources/icons/orbit.svg',
            'static/resources/icons/php.png',
            'static/resources/icons/purestorage.png',
            'static/resources/icons/python.png',
            'static/resources/icons/pytorch.svg',
            'static/resources/icons/r-lang.svg',
            'static/resources/icons/rebel.svg',
            'static/resources/icons/rocm.svg',
            'static/resources/icons/rust.svg',
            'static/resources/icons/sftp.png',
            'static/resources/icons/sftp2.png',
            'static/resources/icons/swift-tensorflow.png',
            'static/resources/icons/swift.svg',
            'static/resources/icons/tensorflow.png',
            'static/resources/icons/terminal.svg',
            'static/resources/icons/texlive.png',
            'static/resources/icons/tpu.svg',
            'static/resources/icons/ubuntu.svg',
            'static/resources/icons/vscode.svg',
            'static/resources/icons/xfce.png',
            'static/resources/icons/xrdp.svg',
            'static/resources/image_metadata.json',
            'static/resources/images/401_unauthorized_access.svg',
            'static/resources/images/404_not_found.svg',
            'static/resources/images/launcher-background.png',
            'static/resources/images/loading-background-large.jpg',
            'static/resources/images/loading-background.jpg',
            'static/resources/images/web-terminal-guide-1.png',
            'static/resources/images/web-terminal-guide-2.png',
            'static/resources/images/web-terminal-guide-3.png',
            'static/resources/images/web-terminal-guide-4.png',
            'static/resources/menu_icons/icon_create_a_key_pair.svg',
            'static/resources/menu_icons/icon_keypair_management.svg',
            'static/resources/menu_icons/icon_upload_files.svg',
            'static/resources/storage_metadata.json',
            'static/resources/templates/under_construction.html',
            'static/resources/theme.json',
            'static/resources/theme.schema.json',
            'static/resources/webui.css',
            'static/src/lib/bundles/webcomponents-ce.js',
            'static/src/lib/bundles/webcomponents-ce.js.map',
            'static/src/lib/bundles/webcomponents-pf_dom.js',
            'static/src/lib/bundles/webcomponents-pf_dom.js.map',
            'static/src/lib/bundles/webcomponents-pf_js.js',
            'static/src/lib/bundles/webcomponents-pf_js.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce.js',
            'static/src/lib/bundles/webcomponents-sd-ce.js.map',
            'static/src/lib/bundles/webcomponents-sd.js',
            'static/src/lib/bundles/webcomponents-sd.js.map',
            'static/src/lib/web-animations-js/web-animations-next-lite.min.js',
            'static/src/lib/webcomponents-loader.js',
            'static/static/js/1013.806eafd0.chunk.js',
            'static/static/js/1013.806eafd0.chunk.js.map',
            'static/static/js/1264.ce43b946.chunk.js',
            'static/static/js/1264.ce43b946.chunk.js.map',
            'static/static/js/1360.6362f44e.chunk.js',
            'static/static/js/1360.6362f44e.chunk.js.LICENSE.txt',
            'static/static/js/1360.6362f44e.chunk.js.map',
            'static/static/js/1466.8ed27c1a.chunk.js',
            'static/static/js/1466.8ed27c1a.chunk.js.map',
            'static/static/js/147.fd55773f.chunk.js',
            'static/static/js/147.fd55773f.chunk.js.map',
            'static/static/js/1641.1735058e.chunk.js',
            'static/static/js/1641.1735058e.chunk.js.map',
            'static/static/js/1800.18fe274d.chunk.js',
            'static/static/js/1800.18fe274d.chunk.js.LICENSE.txt',
            'static/static/js/1800.18fe274d.chunk.js.map',
            'static/static/js/1806.f67cca7f.chunk.js',
            'static/static/js/1806.f67cca7f.chunk.js.map',
            'static/static/js/1926.75b769d4.chunk.js',
            'static/static/js/1926.75b769d4.chunk.js.map',
            'static/static/js/1972.f90ec550.chunk.js',
            'static/static/js/1972.f90ec550.chunk.js.map',
            'static/static/js/2218.04e23cde.chunk.js',
            'static/static/js/2218.04e23cde.chunk.js.map',
            'static/static/js/2442.ebb4d7a2.chunk.js',
            'static/static/js/2442.ebb4d7a2.chunk.js.map',
            'static/static/js/251.50cae2d7.chunk.js',
            'static/static/js/251.50cae2d7.chunk.js.map',
            'static/static/js/2963.7ac4fa0e.chunk.js',
            'static/static/js/2963.7ac4fa0e.chunk.js.LICENSE.txt',
            'static/static/js/2963.7ac4fa0e.chunk.js.map',
            'static/static/js/2966.b49e99b1.chunk.js',
            'static/static/js/2966.b49e99b1.chunk.js.LICENSE.txt',
            'static/static/js/2966.b49e99b1.chunk.js.map',
            'static/static/js/3209.ac6c200a.chunk.js',
            'static/static/js/3209.ac6c200a.chunk.js.map',
            'static/static/js/3263.40729f14.chunk.js',
            'static/static/js/3263.40729f14.chunk.js.map',
            'static/static/js/329.88a8b248.chunk.js',
            'static/static/js/329.88a8b248.chunk.js.map',
            'static/static/js/3559.b86343f5.chunk.js',
            'static/static/js/3559.b86343f5.chunk.js.map',
            'static/static/js/3575.96bb9b60.chunk.js',
            'static/static/js/3575.96bb9b60.chunk.js.map',
            'static/static/js/3625.89d98947.chunk.js',
            'static/static/js/3625.89d98947.chunk.js.map',
            'static/static/js/3638.94507910.chunk.js',
            'static/static/js/3638.94507910.chunk.js.map',
            'static/static/js/3809.5c0c392b.chunk.js',
            'static/static/js/3809.5c0c392b.chunk.js.map',
            'static/static/js/3850.771fae01.chunk.js',
            'static/static/js/3850.771fae01.chunk.js.map',
            'static/static/js/3945.b9f2d378.chunk.js',
            'static/static/js/3945.b9f2d378.chunk.js.map',
            'static/static/js/4569.7275d2a0.chunk.js',
            'static/static/js/4569.7275d2a0.chunk.js.map',
            'static/static/js/4639.dcb661a8.chunk.js',
            'static/static/js/4639.dcb661a8.chunk.js.map',
            'static/static/js/4703.e49cd660.chunk.js',
            'static/static/js/4703.e49cd660.chunk.js.map',
            'static/static/js/4753.28e2c989.chunk.js',
            'static/static/js/4753.28e2c989.chunk.js.map',
            'static/static/js/481.77d7b90a.chunk.js',
            'static/static/js/481.77d7b90a.chunk.js.map',
            'static/static/js/4842.e217cec2.chunk.js',
            'static/static/js/4842.e217cec2.chunk.js.map',
            'static/static/js/5164.5f39bd15.chunk.js',
            'static/static/js/5164.5f39bd15.chunk.js.map',
            'static/static/js/5403.2dfd3b3d.chunk.js',
            'static/static/js/5403.2dfd3b3d.chunk.js.map',
            'static/static/js/5480.adb0d6d1.chunk.js',
            'static/static/js/5480.adb0d6d1.chunk.js.map',
            'static/static/js/5547.4a504786.chunk.js',
            'static/static/js/5547.4a504786.chunk.js.map',
            'static/static/js/5555.af2151d2.chunk.js',
            'static/static/js/5555.af2151d2.chunk.js.map',
            'static/static/js/5842.21f9d11d.chunk.js',
            'static/static/js/5842.21f9d11d.chunk.js.map',
            'static/static/js/5917.7832e397.chunk.js',
            'static/static/js/5917.7832e397.chunk.js.map',
            'static/static/js/5968.f29a28a6.chunk.js',
            'static/static/js/5968.f29a28a6.chunk.js.map',
            'static/static/js/6103.13091de1.chunk.js',
            'static/static/js/6103.13091de1.chunk.js.map',
            'static/static/js/612.9e7f9dce.chunk.js',
            'static/static/js/612.9e7f9dce.chunk.js.map',
            'static/static/js/669.fc358c38.chunk.js',
            'static/static/js/669.fc358c38.chunk.js.map',
            'static/static/js/6801.73a94481.chunk.js',
            'static/static/js/6801.73a94481.chunk.js.map',
            'static/static/js/6901.e23563f4.chunk.js',
            'static/static/js/6901.e23563f4.chunk.js.map',
            'static/static/js/6926.5e0f84fb.chunk.js',
            'static/static/js/6926.5e0f84fb.chunk.js.LICENSE.txt',
            'static/static/js/6926.5e0f84fb.chunk.js.map',
            'static/static/js/7190.0acd242a.chunk.js',
            'static/static/js/7190.0acd242a.chunk.js.map',
            'static/static/js/7346.33321bcc.chunk.js',
            'static/static/js/7346.33321bcc.chunk.js.map',
            'static/static/js/7561.55d7759a.chunk.js',
            'static/static/js/7561.55d7759a.chunk.js.map',
            'static/static/js/8174.efabe5d1.chunk.js',
            'static/static/js/8174.efabe5d1.chunk.js.map',
            'static/static/js/8377.b6b71280.chunk.js',
            'static/static/js/8377.b6b71280.chunk.js.map',
            'static/static/js/8463.03fc9f1a.chunk.js',
            'static/static/js/8463.03fc9f1a.chunk.js.map',
            'static/static/js/8797.c741ef64.chunk.js',
            'static/static/js/8797.c741ef64.chunk.js.LICENSE.txt',
            'static/static/js/8797.c741ef64.chunk.js.map',
            'static/static/js/8860.3f23c0b3.chunk.js',
            'static/static/js/8860.3f23c0b3.chunk.js.map',
            'static/static/js/8879.359b3676.chunk.js',
            'static/static/js/8879.359b3676.chunk.js.LICENSE.txt',
            'static/static/js/8879.359b3676.chunk.js.map',
            'static/static/js/8962.fab77659.chunk.js',
            'static/static/js/8962.fab77659.chunk.js.map',
            'static/static/js/9198.cafe34ce.chunk.js',
            'static/static/js/9198.cafe34ce.chunk.js.LICENSE.txt',
            'static/static/js/9198.cafe34ce.chunk.js.map',
            'static/static/js/9211.8a33b09f.chunk.js',
            'static/static/js/9211.8a33b09f.chunk.js.map',
            'static/static/js/9729.97851dba.chunk.js',
            'static/static/js/9729.97851dba.chunk.js.LICENSE.txt',
            'static/static/js/9729.97851dba.chunk.js.map',
            'static/static/js/9757.e1731581.chunk.js',
            'static/static/js/9757.e1731581.chunk.js.map',
            'static/static/js/9781.b4a3a1d5.chunk.js',
            'static/static/js/9781.b4a3a1d5.chunk.js.map',
            'static/static/js/9823.f4a23aca.chunk.js',
            'static/static/js/9823.f4a23aca.chunk.js.map',
            'static/static/js/main.5d11074c.js',
            'static/static/js/main.5d11074c.js.LICENSE.txt',
            'static/static/js/main.5d11074c.js.map',
            'static/static/media/getFetch.c4cca45e22bc1b2c7d0d.cjs',
            'static/sw.js',
            'static/sw.js.map',
            'static/version.json',
            'static/workbox-9a84fccb.js',
            'static/workbox-9a84fccb.js.map',
            'templates/config.toml.j2',
            'templates/config_ini.toml.j2',
        ),
    },
    'packages': (
        'ai.backend.web',
    ),
    'project_urls': {
        'Documentation': 'https://docs.backend.ai/',
        'Source': 'https://github.com/lablup/backend.ai',
    },
    'python_requires': '>=3.12,<3.13',
    'url': 'https://github.com/lablup/backend.ai',
    'version': """24.03.10b3
""",
    'zip_safe': False,
})
